@import "~react-loader-spinner/dist/loader/css/react-spinner-loader.css"
@import variables
@import "semantic-ui-sass"
@import utils
@import login
@import logo
@import header
@import footer
@import sidebar
@import tables
@import topbar
@import preferences
@import section_title
@import errors
@import models
@import forms
@import generic_show
@import modal
@import permissions

html
  font-size: 16px
  -webkit-font-smoothing: antialiased
  -moz-osx-font-smoothing: grayscale

.app
  height: 100vh
  background: $body-bg
  display: grid
  grid-template-columns: $sidebar-width 1fr
  grid-template-rows: $topbar-height 1fr

.right-side
  display: flex
  flex-direction: column
  position: relative
  background: #fff
  overflow-y: auto
  font-size: 1.1em

main
  flex: 1
  padding: 1.25em

.main_paper
  padding: 1em

.container,
.ui.card.page_wrapper--narrow
  width: $container-width
  margin: 0 auto

.loader
  position: absolute
  top: 50%
  left: 50%
  width: 150px
  transform: translate(-50%, -50%)
